Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.covington
Class Projective

    java.lang.Object
      org.maltparser.parser.TransitionSystem
          org.maltparser.parser.algorithm.covington.Projective

    public class Projective

extends TransitionSystem

Author:
  Johan Hall

Field Summary
`protected static int` | `LEFTARC`
`protected static int` | `NOARC`
`protected static int` | `RIGHTARC`
`protected static int` | `SHIFT`

Fields inherited from class org.maltparser.parser.TransitionSystem
`actionContainers, arcLabelActionContainers, propagationManager, tableHandlers, transActionContainer, transitionTableHandler`

Constructor Summary
`Projective()`

Method Summary
`protected void` | `addAvailableTransitionToTable(TransitionTable ttable)`
`void` | `apply(GuideUserAction currentAction, ParserConfiguration config)`
`GuideUserAction` | `defaultAction(GuideUserHistory history, ParserConfiguration configuration)`
`GuideUserAction` | `getDeterministicAction(GuideUserHistory history, ParserConfiguration config)`
`String` | `getName()`
`protected void` | `initWithDefaultTransitions(GuideUserHistory history)`
`boolean` | `permissible(GuideUserAction currentAction, ParserConfiguration config)`

Methods inherited from class org.maltparser.parser.TransitionSystem
`addEdgeLabels, copyAction, getActionString, getPropagationManager, getTableHandlers, getTransitionTableHandler, initTableHandlers, initTransitionSystem, isActionContainersLabeled, setPropagationManager, updateActionContainers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHIFT

    protected static final int SHIFT

See Also:
  Constant Field Values

### NOARC

    protected static final int NOARC

See Also:
  Constant Field Values

### RIGHTARC

    protected static final int RIGHTARC

See Also:
  Constant Field Values

### LEFTARC

    protected static final int LEFTARC

See Also:
  Constant Field Values

Constructor Detail

### Projective

    public Projective()
               throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### apply

    public void apply(GuideUserAction currentAction,
                      ParserConfiguration config)
               throws MaltChainedException

  Specified by:
    `apply` in class `TransitionSystem`
  Throws:
    `MaltChainedException`

### getDeterministicAction

    public GuideUserAction getDeterministicAction(GuideUserHistory history,
                                                  ParserConfiguration config)
                                           throws MaltChainedException

  Specified by:
    `getDeterministicAction` in class `TransitionSystem`
  Throws:
    `MaltChainedException`

### addAvailableTransitionToTable

    protected void addAvailableTransitionToTable(TransitionTable ttable)
                                          throws MaltChainedException

  Specified by:
    `addAvailableTransitionToTable` in class `TransitionSystem`
  Throws:
    `MaltChainedException`

### initWithDefaultTransitions

    protected void initWithDefaultTransitions(GuideUserHistory history)
                                       throws MaltChainedException

  Specified by:
    `initWithDefaultTransitions` in class `TransitionSystem`
  Throws:
    `MaltChainedException`

### getName

    public String getName()

  Specified by:
    `getName` in class `TransitionSystem`

### permissible

    public boolean permissible(GuideUserAction currentAction,
                               ParserConfiguration config)
                        throws MaltChainedException

  Specified by:
    `permissible` in class `TransitionSystem`
  Throws:
    `MaltChainedException`

### defaultAction

    public GuideUserAction defaultAction(GuideUserHistory history,
                                         ParserConfiguration configuration)
                                  throws MaltChainedException

  Specified by:
    `defaultAction` in class `TransitionSystem`
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.